#!/bin/sh
#
# Copyright (c) 2005 Atheme Development Group
# Rights to this code are documented in doc/LICENSE.
#
# This file generates version.c.
# Stolen from ircd-ratbox.
#
# $Id: version.sh 972 2005-07-18 08:26:19Z pfish $
#

spitshell=cat
package=atheme

echo "Extracting $package/src/version.c..."

if test -r version.c.last
then
   generation=`sed -n 's/^const char \*generation = \"\(.*\)\";/\1/p' < version.c.last`
   if test ! "$generation" ; then generation=0; fi
else
   generation=0
fi

generation=`expr $generation + 1`

uname=`uname`

osinfo=`uname -a`;

creation=`date | \
awk '{if (NF == 6) \
         { print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
else \
         { print $1 " "  $2 " " $3 " " $7 " at " $4 " " $5 " " $6 }}'`

buildid=`echo "\$Revision: 972 $" | \
	awk '{ print $2 }'`;

$spitshell >version.c <<!SUB!THIS!
/*
 * Copyright (c) 2005 Atheme Development Group
 * Rights to this code are documented in doc/LICENSE.
 *
 * This file contains version information.
 * Autogenerated by version.sh.
 *
 */

const char *generation = "$generation";
const char *creation = "$creation";
const char *platform = "$uname";
const char *version = "$1";
const char *revision = "$buildid";
const char *osinfo = "$osinfo";

const char *infotext[] =
{
  "Atheme IRC Services --",
  "Copyright (c) 2005 Atheme Development Group",
  " ",
  "All rights reserved.",
  " ",
  "Redistribution and use in source and binary forms, with or without modification,",
  "are permitted provided that the following conditions are met:",
  " ",
  "      Redistributions of source code must retain the above copyright notice,",
  "      this list of conditions and the following disclaimer.",
  " ",
  "      Redistributions in binary form must reproduce the above copyright notice,",
  "      this list of conditions and the following disclaimer in the documentation",
  "      and/or other materials provided with the distribution.",
  " ",
  "      Neither the name of the author nor the names of its contributors may be",
  "      used to endorse or promote products derived from this software without",
  "      specific prior written permission.",
  " ",
  "THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS \"AS IS\" AND",
  "ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED",
  "WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE",
  "DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE FOR",
  "ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES",
  "(INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;",
  "LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON",
  "ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT",
  "(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS",
  "SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.",
  " ",
  "Currently Atheme consists of the following developers:",
  "  nenolod, William Pitcock <nenolod@nenolod.net>",
  "  jilles, Jilles Tjoelker <jilles@stack.nl>",
  "  Trystan, Trystan Scott Lee <trystan@nomadirc.net>",
  "  alambert, Alex Lambert <alambert@quickfire.org>",
  "  w00t, Robin Burchell <w00t@staff.chatspike.net>",
  "  pfish, Patrick Fish <pofish@gmail.com>",
  " ",
  "Thanks to testers and contributors of previous releases:",
  "  nick125, ShadowGod, Lucifer7, Ashen, katsklaw, Trystan, jilles,",
  "  and many others.",
  " ",
  "Special thanks to:",
  "  rakaur, for starting Shrike.",
  "  anfl and jilles, for their work on ratbox-services.",
  "  asuffield, for the concept of IRC privilege seperation",
  " ",
  0,
};
!SUB!THIS!
